#ifndef _DEMO_CONFIG_H_
#define _DEMO_CONFIG_H_

#include "aiot_linkconfig_api.h"

/* TODO: 替换为自己的协议 */
extern aiot_protocol_t mqtt_protocol;
aiot_protocol_t *protocol = &mqtt_protocol;

/* TODO: 替换为自己的接入信息*/
#define INSTANCE_ID         "iot-*****"
char  *host = INSTANCE_ID".mqtt.iothub.aliyuncs.com";
uint16_t port = 443;

/* TODO: 通用功能demo: 直连设备的三元组 */
char *product_key       = "gb8****D7u";
char *device_name       = "STAND_****_001";
char *device_secret     = "aa3****a9a11db40b3";

/* 动态注册demo TODO: 需要product_secret */
char *product_secret = "h4IQZ5****L075Zi";



/* >>>>>>>>>>>>>>>>>>>>>>>>> 网关子设备demo配置 <<<<<<<<<<<<<<<<<<<<<<<<< */
// char  *host = "iot-test-pre.iot-as-mqtt.unify.aliyuncs.com";
/* TODO: 网关设备的三元组 */
char *gateway_product_key       = "a1kt****O8H";
char *gateway_device_name       = "GATEWAY_****_001";
char *gateway_device_secret     = "d414****c32e2";

/* TODO: 子设备的三元组列表 */
#define SUBDEV_LIST {                                                    \
    {                                                                    \
        .product_key = "a1o****qvg7",                                    \
        .device_name = "SUBDEV_****_001",                                \
        .device_secret = "af1e8*******1af372cbc6e7",                     \
    },                                                                   \
    {                                                                    \
        .product_key = "a1o****qvg7",                                    \
        .device_name = "SUBDEV_****_002",                                \
        .device_secret = "f15da*******b7dd5e9d7e8ee0b51",                \
    },                                                                   \
    {                                                                    \
        .product_key = "a1o****qvg7",                                    \
        .device_name = "SUBDEV_****_003",                                \
        .device_secret = "eca3e*******056f3b6abe06538648",               \
    },                                                                   \
}

/* TODO: 网关与子设备动态注册demo: 子设备的信息列表 */
#define SUBDEV_DYNREG_LIST {                                             \
    {                                                                    \
        .product_key = "gb8****S8MP",                                    \
        .device_name = "STAND_****_d001",                                \
        .product_secret = "rqml*******2oS2",                             \
    },                                                                   \
    {                                                                    \
        .product_key = "gb8****S8MP",                                    \
        .device_name = "STAND_****_d002",                                \
        .product_secret = "rqml*******2oS2",                             \
    },                                                                   \
    {                                                                    \
        .product_key = "gb8****S8MP",                                    \
        .device_name = "STAND_****_d003",                                \
        .product_secret = "rqml*******2oS2",                             \
    },                                                                   \
}

#endif

